<div class="col-sm-8 col-sm-offset-2">
  <form [formGroup]="userForm" (ngSubmit)="onSubmitForm()">
    <div class="form-group">
      <label for="firstName">First name</label>
      <input type="text" id="firstName" class="form-control" formControlName="firstName">
    </div>
    <div class="form-group">
      <label for="lastName">Last name</label>
      <input type="text" id="lastName" class="form-control" formControlName="lastName">
    </div>
    <div class="form-group">
      <label for="email">Email address</label>
      <input type="text" id="email" class="form-control" formControlName="email">
    </div>
    <div class="form-group">
      <label for="drinkPreference">Which drink do you prefer ?</label>
      <select id="drinkPreference" class="form-control" formControlName="drinkPreference">
        <option value="beer">Beer</option>
        <option value="Coca-Cola">Coca-Cola</option>
      </select>
    </div>
    <div formArrayName="hobbies">
      <h3>Your hobbies</h3>
      <div class="form-group" *ngFor="let hobbyControl of getHobbies().controls; let i = index">
        <input type="text" class="form-control" [formControlName]="i"> <br>
        <button type="button" class="btn btn-danger" [formControlName]="i" (click)="onDeleteHobby(i)">Delete</button>
      </div>
      <button type="button" class="btn btn-success" (click)="onAddHobby()">Add a hobby</button>
    </div>
    <br>
    <button type="submit" [disabled]="userForm.invalid" class="btn btn-primary">Submit</button>
    &nbsp;
    <button routerLink="/users" class="btn btn-danger">Cancel</button>
  </form>
</div>